using System;
using System.Collections;

using EmitCode;

namespace Test
{
    public class TestFilter {		
        static void Main(string[] args)
        {
            ArrayList list = TestElement.CreateCollection(100);
            String condition;

            FilterGenerator gen = new FilterGenerator(typeof(TestElement), 10);
			
            while ((condition = Console.ReadLine()) != null) 
            {
                if (condition.Equals("exit")) 
                {
                    break;
                }
                Filter filter = gen.Generate(condition);
                foreach (TestElement elem in filter.Apply(list)) 
                {
                    Console.WriteLine(elem.s);
                }
            }
        }
    }
}
