using System;

namespace EmitCode
{
    /// <summary>
    /// Summary description for CompileError.
    /// </summary>
    public class CompileError : Exception 
    {
        public CompileError(String msg, int pos) 
            : base(msg + " at position " + pos) 
        {
            this.msg = msg;
            this.pos = pos;
        }
        protected String msg;
        protected int    pos;
    }

}
