using System;
using System.Collections;

namespace EmitCode
{
    /// <summary>
    /// Class applying function to all collection members
    /// </summary>
    public class Mapper
    {
        public MappedCollection Apply(ICollection collection) 
        {
            return new MappedCollection(collection, elemType, expr);
        }


        internal Mapper(Type elemType, IExpression expr)
        {
            this.elemType = elemType;
            this.expr     = expr;
        }

        private Type        elemType;
        private IExpression expr;
    }
}
