using System;
using System.Collections;

using EmitCode;

namespace Test
{
    public class TestMapper 
    {		
        static void Main(string[] args)
        {
            ArrayList list = TestElement.CreateCollection(10);
            String expression;

            MapperGenerator gen = new MapperGenerator(typeof(TestElement), 10);
			
            while ((expression = Console.ReadLine()) != null) 
            {
                if (expression.Equals("exit")) 
                {
                    break;
                }
                Mapper mapper = gen.Generate(expression);
                foreach (Object elem in mapper.Apply(list)) 
                {
                    Console.WriteLine(elem);
                }
            }
        }
    }
}
